#!/usr/bin/env python
# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils.translation import ugettext as _
from ionas.request import Entry
from fal_info import (FAL_APPLENETWORK_PATH, ReqTypes)
from ... modules.services import Services


class Method:
    NAME = _(u"AppleShare Network")
    service = Services()
    def get(self):
        config = self.service.load_request(FAL_APPLENETWORK_PATH)
        return config.get_node("service").get_attr_value("enable")
    
    def set(self, enable):
        config = self.service.load_request(FAL_APPLENETWORK_PATH)
        config.get_node("service").set_attrs({"enable": enable})
        entry = Entry(ReqTypes.APPLY, config)
        return self.service.send_request(FAL_APPLENETWORK_PATH, entry)

    def get_info(self):
        pass
